Get API usage stats
curl --request GET \
--url https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/usage \
--header 'Authorization: <api-key>'import requests
url = "https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/usage"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"period": "current_month",
"totalRequests": 15000,
"requestsByEndpoint": {
"/api/quotes": 500,
"/api/bookings": 300
},
"rateLimits": {
"requestsPerMinute": 60,
"requestsPerHour": 1000,
"requestsPerDay": 10000
}
}Admin & Audit
Get API Usage Stats
Get API usage statistics and rate limits per tenant
GET
/
api
/
usage
Get API usage stats
Get API usage statistics and rate limits per tenant.
Reference Documentation
For more information on administration functions, please refer to:
- Pages 557-559 of “Functional_Requirements_V18 FINAL”: https://belli.sg/4nxxCDR
Authorizations
ApiKeyAuthApiKeyHeader
Query Parameters
Reporting period
Group by endpoint or other criteria
⌘I